Package ghidra.framework.main

# Class TestFrontEndTool

java.lang.Object
docking.AbstractDockingTool
ghidra.framework.plugintool.PluginTool
ghidra.framework.main.FrontEndTool
ghidra.framework.main.TestFrontEndTool

All Implemented Interfaces:
  `Tool`, `OptionsChangeListener`, `ServiceProvider`

public class TestFrontEndTool extends FrontEndTool
A test version of the `FrontEndTool` that disables some functionality

- ## Field Summary

  ### Fields inherited from class ghidra.framework.main.FrontEndTool

  `AUTOMATICALLY_SAVE_TOOLS, DEFAULT_TOOL_LAUNCH_MODE`

  ### Fields inherited from class ghidra.framework.plugintool.PluginTool

  `DESCRIPTION_PROPERTY_NAME, ICON_PROPERTY_NAME, iconURL, isDisposed, manageDialog, PLUGIN_COUNT_PROPERTY_NAME, TOOL_NAME_PROPERTY, toolName`

  ### Fields inherited from class docking.AbstractDockingTool

  `optionsMap, toolActions, winMgr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestFrontEndTool(ProjectManager pm)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes this tool, possibly with input from the user.
  `protected void`
  `shutdown()`

  ### Methods inherited from class ghidra.framework.main.FrontEndTool

  `addProjectListener, canClose, canCloseDomainFile, checkIn, checkIn, createPluginsConfigurations, dispose, doSaveTool, getDefaultLaunchMode, getToolTemplate, merge, merge, optionsChanged, removeProjectListener, selectFiles, setActiveProject, setBusy, setVisible, shouldRestorePreviousProject`

  ### Methods inherited from class ghidra.framework.plugintool.PluginTool

  `accept, acceptDomainFiles, addEventListener, addExitAction, addExportToolAction, addHelpActions, addListenerForAllPluginEvents, addOptionsAction, addPlugin, addPlugin, addPlugins, addPlugins, addPropertyChangeListener, addSaveToolAction, addServiceListener, addStatusComponent, addToolListener, allowTerminatingTasksWhenClosing, beep, cancelCurrentTask, canCloseDomainObject, canClosePlugins, canStopTasks, clearLastEvents, contextChanged, createDockingWindowManager, execute, execute, execute, executeBackgroundCommand, firePluginEvent, getActiveComponentProvider, getActiveWindow, getConsumedToolEventNames, getDomainFiles, getIcon, getIconURL, getInstanceName, getLocation, getManagedPlugins, getManagePluginsDialog, getName, getOptions, getOptions, getPluginsConfiguration, getProject, getProjectManager, getService, getServices, getSize, getSupportedDataTypes, getToolEventNames, getToolName, getToolServices, getTransientState, getUndoRedoToolState, hasOptions, hasToolListeners, hasUnsavedData, initActions, installHomeButton, installUtilityPlugins, isConfigurable, isExecutingCommand, isRestoringDataState, isService, isWindowsOnTop, optionsChanged, prepareToSave, processToolEvent, putInstanceName, refreshKeybindings, registerDefaultContextProvider, registerOptionsNameChange, removeEventListener, removeListenerForAllPluginEvents, removePlugins, removePlugins, removePreferenceState, removePropertyChangeListener, removeServiceListener, removeStatusComponent, removeToolListener, restoreDataStateFromXml, restoreFromXml, restoreOptionsFromXml, restorePluginsFromXml, restoreWindowingDataFromXml, saveDataStateToXml, saveTool, saveToolAs, saveToolToToolTemplate, saveToXml, saveWindowingDataToXml, scheduleFollowOnCommand, setConfigChanged, setDefaultComponent, setIconURL, setLocation, setProject, setSize, setSubTitle, setToolName, setUnconfigurable, setWindowsOnTop, shouldSave, showComponentHeader, showConfig, showDialog, showDialog, showDialogOnActiveWindow, showEditWindow, showExtensions, threadIsBackgroundTaskThread, unregisterDefaultContextProvider`

  ### Methods inherited from class docking.AbstractDockingTool

  `addAction, addComponentProvider, addContextListener, addLocalAction, addPopupActionProvider, clearStatusInfo, getAllActions, getComponentProvider, getDockingActionsByOwnerName, getProviderWindow, getStatusInfo, getToolActions, getToolFrame, getWindowManager, hasConfigChanged, isActive, isVisible, isVisible, removeAction, removeComponentProvider, removeContextListener, removeLocalAction, removePopupActionProvider, setMenuGroup, setMenuGroup, setStatusInfo, setStatusInfo, showComponentProvider, showDialog, toFront, toFront, updateTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestFrontEndTool

    public TestFrontEndTool(ProjectManager pm)

- ## Method Details

  - ### close

    public void close()
    Description copied from class: `PluginTool`
    Closes this tool, possibly with input from the user. The following conditions are checked and can prompt the user for more info and allow them to cancel the close.
    1. Running tasks. Closing with running tasks could lead to data loss.
    2. Plugins get asked if they can be closed. They may prompt the user to resolve some plugin specific state.
    3. The user is prompted to save any data changes.
    4. Tools are saved, possibly asking the user to resolve any conflicts caused by changing multiple instances of the same tool in different ways.
    5. If all the above conditions passed, the tool is closed and disposed.
    Specified by:
      `close` in interface `Tool`
    Overrides:
      `close` in class `PluginTool`

  - ### shutdown

    protected void shutdown()
    Overrides:
      `shutdown` in class `FrontEndTool`